/*
 * KOMMANDO_GeheZu.java	01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

/** <i>Benutzerkommando zum direkten Bewegen des Zell-Cursors an die Mausposition (Details siehe Klasse Kommando)</i> */

public class KOMMANDO_GeheZu extends Kommando
{
   Position altePosition = new Position();
   AnzeigeZelle neueZelle;

   public void doit()
   {   
   	  AnzeigeTabelle T = Tabkalk.Tabelle();
      KOMMANDO_GeheZu k = new KOMMANDO_GeheZu();
      T.getTabellenCursor().getPosition(k.altePosition);
      last = k;
      neueZelle = (AnzeigeZelle)T.getComponentAt(T.MouseClickPoint);
      Tabkalk.Tabelle().getTabellenCursor().setToZelle(neueZelle);
   }

   public void undo() 
   {
      Tabkalk.Tabelle().getTabellenCursor().setPosition(altePosition);
   }
}